<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: MiniRound Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classMiniRound-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">MiniRound Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for MiniRound:</div>
<div class="dyncontent">
<div class="center"><img src="classMiniRound__inherit__graph.png" border="0" usemap="#aMiniRound_inherit__map" alt="Inheritance graph"/></div>
<map name="aMiniRound_inherit__map" id="aMiniRound_inherit__map">
<area shape="rect" title=" " alt="" coords="25,80,116,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for MiniRound:</div>
<div class="dyncontent">
<div class="center"><img src="classMiniRound__coll__graph.png" border="0" usemap="#aMiniRound_coll__map" alt="Collaboration graph"/></div>
<map name="aMiniRound_coll__map" id="aMiniRound_coll__map">
<area shape="rect" title=" " alt="" coords="25,80,116,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac258edc2bc409ebb017c126741411d1d"><td class="memItemLeft" align="right" valign="top"><a id="ac258edc2bc409ebb017c126741411d1d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MiniRound</b> (MiniRoundType)</td></tr>
<tr class="separator:ac258edc2bc409ebb017c126741411d1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad077015412d04d463e2b6fe62bb92a7c"><td class="memItemLeft" align="right" valign="top"><a id="ad077015412d04d463e2b6fe62bb92a7c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MiniRound</b> (const <a class="el" href="classMiniRound.html">MiniRound</a> &amp;)</td></tr>
<tr class="separator:ad077015412d04d463e2b6fe62bb92a7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac6a2b50d437cfad429fd0db5d5dfe38"><td class="memItemLeft" align="right" valign="top"><a id="aac6a2b50d437cfad429fd0db5d5dfe38"></a>
MiniRoundType&#160;</td><td class="memItemRight" valign="bottom"><b>getMiniRoundType</b> ()</td></tr>
<tr class="separator:aac6a2b50d437cfad429fd0db5d5dfe38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0db671c5d10426cc92ab9c4776476f5e"><td class="memItemLeft" align="right" valign="top"><a id="a0db671c5d10426cc92ab9c4776476f5e"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>toString</b> ()</td></tr>
<tr class="separator:a0db671c5d10426cc92ab9c4776476f5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae105e0a838e7b8b23508e54f5fb68bfa"><td class="memItemLeft" align="right" valign="top"><a id="ae105e0a838e7b8b23508e54f5fb68bfa"></a>
QRectF&#160;</td><td class="memItemRight" valign="bottom"><b>boundingRect</b> () const</td></tr>
<tr class="separator:ae105e0a838e7b8b23508e54f5fb68bfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bd99e49c7b8734d3d12652854a6e2b2"><td class="memItemLeft" align="right" valign="top"><a id="a5bd99e49c7b8734d3d12652854a6e2b2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>paint</b> (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)</td></tr>
<tr class="separator:a5bd99e49c7b8734d3d12652854a6e2b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4e3f5208aa8af1a295bbc07beaf7971"><td class="memItemLeft" align="right" valign="top"><a id="ad4e3f5208aa8af1a295bbc07beaf7971"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>height</b> () const</td></tr>
<tr class="separator:ad4e3f5208aa8af1a295bbc07beaf7971"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5905de22a955197bbefca6f0a8e3d40"><td class="memItemLeft" align="right" valign="top"><a id="ac5905de22a955197bbefca6f0a8e3d40"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>width</b> () const</td></tr>
<tr class="separator:ac5905de22a955197bbefca6f0a8e3d40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9547f123b98a899fb72d823c3e7002ef"><td class="memItemLeft" align="right" valign="top"><a id="a9547f123b98a899fb72d823c3e7002ef"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>firstDoubleCardPlayed</b> () const</td></tr>
<tr class="separator:a9547f123b98a899fb72d823c3e7002ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a148a7d73dd2471331cdfe0e8e3163a15"><td class="memItemLeft" align="right" valign="top"><a id="a148a7d73dd2471331cdfe0e8e3163a15"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setFirstDoubleCardPlayed</b> (bool newFirstDoubleCardPlayed)</td></tr>
<tr class="separator:a148a7d73dd2471331cdfe0e8e3163a15"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/<a class="el" href="miniround_8h_source.html">miniround.h</a></li>
<li>src/miniround.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
